darcs

Issue 260 Feature request: specify which compressor to use for darcs dist

Title Feature request: specify which compressor to use for darcs dist
Priority feature Status resolved
Milestone Resolved in
Superseder wish: dist --export-command
View: 57
Nosy List Sebastien.Hinderer, darcs-devel, dmitry.kurochkin, kowey, thorkilnaur, tommy
Assigned To
Topics

Created on 2006-09-06.13:07:13 by Sebastien.Hinderer, last changed 2009-08-27.13:47:58 by admin.

Messages
msg968 (view) Author: Sebastien.Hinderer Date: 2006-09-06.13:07:08
Dear darcs developers,

It might be useful to let the user specify which compressor she wants to
use to build a tarball when using darcs dist.
This would let one use bzip2 in stead ofthe default gzip, for instance.

Moreover, the interface to this functionality could be done in a way
flexible enough to let the user also specify options to give to
the compress)r, etc. I think darcs already includes such flexible ways
of calling commands like diff or sendmail, so my guess would be that it
shouldn't be too difficult to implement the feature in a similar way, if
this feature interests somebody else, of course.

Cheers,
S├ębastien.
msg969 (view) Author: kowey Date: 2006-09-06.13:16:28
Sorry, sending this feature request was my idea.  This is actually just a
variant on issue57.  I will now edit issue57 to make it more general.
History
Date User Action Args
2006-09-06 13:07:13Sebastien.Hinderercreate
2006-09-06 13:16:35koweysetstatus: unread -> resolved
superseder: + wish: dist --export-command
messages: + msg969
nosy: + kowey
2009-08-06 17:49:05adminsetnosy: + markstos, jast, Serware, dmitry.kurochkin, darcs-devel, zooko, dagit, mornfall, simon, beschmi, thorkilnaur, - droundy, Sebastien.Hinderer
2009-08-06 20:51:41adminsetnosy: - beschmi
2009-08-10 21:55:18adminsetnosy: + Sebastien.Hinderer, - markstos, darcs-devel, zooko, jast, dagit, Serware, mornfall
2009-08-25 18:00:55adminsetnosy: + darcs-devel, - simon
2009-08-27 13:47:58adminsetnosy: tommy, kowey, darcs-devel, Sebastien.Hinderer, thorkilnaur, dmitry.kurochkin